function [zone] = UTMzone(lat,long)

%Last-Updated: 12.04.2014
%Formulae: GNSS / Wikipedia
%Notes: Calculates the zone # based on long, adjusts
%       the zone # for special case; Norway & Svalbard.
%		for MGRS.

zone = floor(((long + 180)/6)+1);

if (lat > 55) && (zone == 31) && (lat < 64) && (lon >  2)
		zone = 32;
	elseif (lat > 71) && (zone == 32) && (lon <  9)
		zone = 31;
	elseif (lat > 71) && (zone == 32) && (lon >  8)
		zone = 33;
	elseif (lat > 71) && (zone == 34) && (lon < 21)
		zone = 33;
	elseif (lat > 71) && (zone == 34) && (lon > 20)
		zone = 35;
	elseif (lat > 71) && (zone == 36) && (lon < 33)
		zone = 37;
	elseif (lat > 71) && (zone == 36) && (lon > 32)

end

return
