function [dec]=coord2dec(d,m,s)

%Last-Updated: 15.05.2014
%Formulae: 
%Notes: Takes into account negative values of either
%		degrees, minutes, and seconds. Verified.

deg = abs(d);
min = abs(m/60);
sec = abs(s/3600);

dec = deg + min + sec;

if d == 0

	if m < 0
	
		dec = sign(m)*(min + sec);
		
	elseif	m == 0
	
		if s < 0
		
			dec = sign(s)*sec;
			
		end
		
	end
	
elseif d < 0

	dec = sign(d)*(deg + min + sec);
	
end

return