function [d,m,s]=dec2coord(dec)

%Last-Updated: 15.05.2014
%Formulae: 
%Notes: Takes into account negative values of either
%		degrees, minutes, and seconds. Verified.



if dec > 0
	d = floor(dec);
	dm = (dec-d)*60;
	m = floor(dm);
	ms = (dm-m)*60;
	s = ms;
	
elseif dec == 0
	d = 0;
	m = 0;
	s = 0;
	
elseif dec <0
	d = fix(dec);
	
	if d < 0	
		dm = abs((dec-d)*60);
		m = floor(dm);
		ms = (dm-m)*60;
		s = ms;
		
	elseif d == 0	
		dm = (dec-d)*60;
		m = fix(dm);
		
		if m < 0
			ms = abs((dm-m)*60);
			s = ms;
				
		elseif m == 0			
			ms = (dm-m)*60;
			s = ms;			
		end	
	end	
end	

return