function [Xt,Yt,Zt]=helmert7(Xs,Ys,Zs,tX,tY,tZ,rX,rY,rZ,dS)

%Last-Updated: 11.04.2014
%Formulae: OGP-7.2 / 1.37+1.38 Master's Thesis
%Notes: Input and output in Cartesian coordinates

M=(1+dS.*10.^-6);
t=[tX; tY; tZ];
S=[Xs; Ys; Zs];
H=[1 -rZ rY; rZ 1 -rX; -rY rX 1];
T=M*H*S+t;
Xt=T(1,1);
Yt=T(2,1);
Zt=T(3,1);

return