function [X,Y,Z]=geo2cart(lat,long,H,a,b)

%Last-Updated: 08.04.2014
%Formulae: GNSS / Master 1.3-1.4
%Notes: lat/long in decimal degrees

N = a.^2/(sqrt((a.^2)*(cosd(lat).^2)+(b.^2)*(sind(lat).^2)));
X = (N+H)*cosd(lat)*cosd(long);
Y = (N+H)*cosd(lat)*sind(long);
Z = ((b.^2/a.^2)*N+H)*sind(lat);

return