function [Xt,Yt,Zt]=northsea2(Xs,Ys,Zs,tX,tY,tZ,rX,rY,rZ,D)

%Last-Updated: 11.04.2014
%Formulae: EPSG 10 / 2.56 Master's Thesis
%Notes: Input and output in Cartesian coordinates,
%		slightly modified Helmert 7
%	

t=[tX; tY; tZ];
S=[Xs; Ys; Zs];
H=[D -rZ rY; rZ D -rX; -rY rX D];
T=S+t+H*S;
Xt=T(1,1);
Yt=T(2,1);
Zt=T(3,1);

return