%Last-Updated: 19.04.2014
%Formulae: UTM - USGS
%Notes: Test values are based on web-converters
%		Latitude and longitude is 30-30-30
%		which should be 30.508333 in decimal,
%		and Zone 36, 3377755.521595 m North, 
%		260881.913705239 m South.

clear all

%Define latitude and longitude values
lat=coord2dec(89,0,0);
long=lat;

%Get ellipsoid parameters for WGS84 (23)
[a,b,f]=ellipsoid(23);

%Calculate N,E and Zone using UTM function
[N,E,Z,hemi]=coord2grid_USGS(lat,long,a,b,f);

%Calculate latitude and longitude with N,E, and Zone
[lat2,long2]=grid2coord_USGS(N,E,Z,a,b,f,hemi);